#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-Random
Summary:	Crypt::OpenSSL::Random - accessing the OpenSSL pseudo-random number generator
Summary(pl.UTF-8):	Crypt::OpenSSL::Random - dostęp do generatora liczb pseudolosowych z OpenSSL
Name:		perl-Crypt-OpenSSL-Random
Version:	0.04
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c56ac5dbdd46122eb9b8da59613b7b0a
URL:		http://search.cpan.org/dist/Crypt-OpenSSL-Random/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::Random provides the ability to seed and query the
OpenSSL library's pseudo-random number generator.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::Random daje możliwość zasilania oraz odpytywanie
generatora liczb pseudolosowych z biblioteki OpenSSL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Crypt/OpenSSL/Random.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/Random
%{perl_vendorarch}/auto/Crypt/OpenSSL/Random/*.bs
%{perl_vendorarch}/auto/Crypt/OpenSSL/Random/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/Random/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-Random.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 24f0b42
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Fri Oct 07 2011 lisu <lisu@pld-linux.org> 86c1a31
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 1a33119
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5564d03
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 048c602
- release 3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> fbadaa3
- release 2

* Mon Feb 25 2008 Jakub Bogusz <qboosh@pld-linux.org> ec68ac3
- updated to 0.04

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b0ca765
- rel 6

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 39e2421
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Mar 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 0c8fc95
- generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> afdd3ac
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f5e4d5
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 30d047e
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> d0f4a2e
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> d858b04
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> f54a0ed
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> f2cf8c7
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> a7765e4
- bcond fixes/porting

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> eca58d0
- license fixes and unification

* Fri Mar 19 2004 ankry <ankry@pld-linux.org> 47e7283
- massive change: BR openssl-devel >= 0.9.7d

